Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
cla 07/10/30 21:02:33
Modified: mistbot-0.9.ebuild ChangeLog
Log:
New dependency and fixing make install stuff
(Portage version: 2.1.3.16)
Revision Changes Path
1.2 net-irc/mistbot/mistbot-0.9.ebuild
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/mistbot/mistbot-0.9.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/mistbot/mistbot-0.9.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/mistbot/mistbot-0.9.ebuild?r1=1.1&r2=1.2
Index: mistbot-0.9.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-irc/mistbot/mistbot-0.9.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- mistbot-0.9.ebuild 29 Oct 2007 22:45:09 -0000 1.1
+++ mistbot-0.9.ebuild 30 Oct 2007 21:02:32 -0000 1.2
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/net-irc/mistbot/mistbot-0.9.ebuild,v 1.1 2007/10/29 22:45:09 cla Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-irc/mistbot/mistbot-0.9.ebuild,v 1.2 2007/10/30 21:02:32 cla Exp $
inherit eutils toolchain-funcs
@@ -20,7 +20,8 @@
xml? ( dev-libs/libxml2 )"
DEPEND="${RDEPEND}
- doc? ( app-doc/doxygen )"
+ doc? ( app-doc/doxygen
+ app-text/xmlto )"
src_compile() {
ebegin "Change build.conf to fit needs"
@@ -30,15 +31,15 @@
fi
if ! use nls; then
- sed -e '/^NLS = nls$/d' -i build.conf || die "sed failed"
+ sed -e '/^NLS\ =\nls$/d' -i build.conf || die "sed failed"
fi
if ! use debug; then
- sed -e '/^DEBUG = debug$/d' -i build.conf || die "sed failed"
+ sed -e '/^DEBUG\ =\ debug$/d' -i build.conf || die "sed failed"
fi
if ! use ssl; then
- sed -e '/^SSL = ssl$/d' -i build.conf || die "sed failed"
+ sed -e '/^SSL\ =\ ssl$/d' -i build.conf || die "sed failed"
fi
sed -e 's/^#ONCE\ =\ yes$/ONCE\ =\ yes/' -i build.conf || die "sed failed"
@@ -53,12 +54,14 @@
if use doc; then
ebegin "generate documentation"
- make doc || die "make doc failed"
+ #make doc || die "make doc failed"
+ emake doc || die "make doc failed"
fi
}
src_install() {
- make install DESTDIR="${D}" || die "make install failed"
+ #make install DESTDIR="${D}" || die "make install failed"
+ emake DESTDIR="${D}" install
dodoc AUTHORS mistbot.conf
if use doc; then
1.2 net-irc/mistbot/ChangeLog
file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/mistbot/ChangeLog?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/mistbot/ChangeLog?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/net-irc/mistbot/ChangeLog?r1=1.1&r2=1.2
Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/net-irc/mistbot/ChangeLog,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- ChangeLog 29 Oct 2007 22:45:09 -0000 1.1
+++ ChangeLog 30 Oct 2007 21:02:32 -0000 1.2
@@ -1,6 +1,9 @@
# ChangeLog for net-irc/mistbot
# Copyright 1999-2007 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-irc/mistbot/ChangeLog,v 1.1 2007/10/29 22:45:09 cla Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-irc/mistbot/ChangeLog,v 1.2 2007/10/30 21:02:32 cla Exp $
+
+ 30 Oct 2007; Dawid Węgliński <cla@g.o> mistbot-0.9.ebuild:
+ New dependency and fixing make install stuff
*mistbot-0.9 (29 Oct 2007)
--
gentoo-commits@g.o mailing list
|
|